/** OMF GENERAL STYLES */
.omf-spacer { height: 56px; }

/** OMF TOP BAR STYLES */
.omf-hdr-center {
    flex: 1;
    justify-content: center;
    height: 100%;
    font-size: 1.40em;
    font-weight: normal;
    position: relative;
}

#mainpage .omf-hdr-center a .page-title {
    width: 100%;
    position: absolute;
}

.omf-hdr-center a {
    color: var(--light-bg);
}

.omf-list ul.reg {
    margin-left: 15px;
    margin-bottom: 15px;
}

.omf-list ul.reg li {
    list-style-type: disc;
}

.omf-list .reg li {
    margin-bottom: 10px;
}

.omf-list ol.reg {
    margin-left: 0;
    padding-left: 20px;
}

a.reg {
    background-color: #dadada;
    padding: 8px 8px;
    font-size: .70em;
    text-transform: uppercase;
    border-radius: 5px;
    margin-right: 2     px;
    font-weight: bold;
    letter-spacing: 0.04em;
}

/** OMF LIST STYLES */

.omf-list {
    position: relative;
    display: flex;
    width: 100%;
    flex-wrap: wrap; 
    justify-content: space-between;
    padding-top: 20px;
}

/** OMF ACTON STYLES */

.omf-action-btn {
    width: 100%;
    padding: 10px;
    border-radius: 5px;
    color: var(--bg-light);
    /*font-weight: bold;*/
    letter-spacing: 0.05em;
    white-space: nowrap;
    /*width: auto;*/
    text-transform: uppercase;
    font-size: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    cursor: pointer;
    border: none;
}


/** OMF SMALL TILE STYLES */
.omf-tablet .omf-tile.selected {
    /*background-color: #393a4e;*/
}

.omf-tablet .omf-tile {
    width: 66px;
    min-width: 66px;
    height: 100%;
    min-height: 80px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5px;
    border: none;
    border-radius: 0;
    margin-bottom: 0;
    margin-right: 16px;
    padding-bottom: 0 !important;
    gap: 6px;
    cursor: pointer;
}

.omf-tablet.omf-list {
    flex-wrap: nowrap;
}

.omf-tablet {
}

/*.omf-tablet .omf-tile {
    padding-bottom:  0px !important;
}*/

.omf-tablet .primary-dtls {
    text-align: center;
    font-size: 0.75em;
    line-height: 1.15em;
    font-weight: 400;
    color: #565656;

    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;

    overflow: hidden;
    text-overflow: ellipsis;

    width: 100%;
}


.omf-tablet .omf-tile.selected .omf-avatar{
    /*border: 2px solid var(--primary-color);*/
}

.omf-tablet .omf-tile.selected .primary-dtls{
    color: var(--primary-color);
}

.omf-tablet .omf-avatar-wrapper {
    width: 36px;
    min-width: 36px;
    height: 36px;
    min-height: 36px;
    padding: 0px;
}

.omf-tablet .omf-avatar-wrapper .omf-avatar {
    width: 100%;
    height: 100%;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    border-radius: 50%;
}

.omf-tablet .omf-avatar-wrapper .omf-avatar img{
    visibility: hidden;
}

.omf-tablet img {
    width: 40px !important;
}


/** OMF PULLOUT MENU STYLES */

/** NAV WRAPPER */
.omf-pullout-nav-wrapper {
    display: none !important;
}

.on .omf-pullout-nav-wrapper {
    /*height: calc(100vh - 160px);*/
    display: flex !important;
    flex-direction: column;
    align-items: flex-start;
    /*margin-top: 16px;*/
    width: 100%;
    position: relative;
    flex: 1;
    overflow: hidden;
    overflow-y: auto;
}

.omf-nav-blk {
    width: 100%;
    padding: 14px 16px;
}

.on .oims-branding-wrapper {
    width: 100%;
    height: 50px;
    display: flex !important;
    align-items: center;
    justify-content: center;
    border-top: 1px solid #afafaf;
}

.branding-blk {
    gap: 10px;
    font-size: 16px;
    color: var(--text-black) !important;
}

li.nav-header {
    text-align: left;
    font-size: 18px;
    margin-bottom: 8px !important;
    color: var(--text-grey);
    font-weight: 400;
}

ul.omf-legal-nav.flex {
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 22px;
    gap: 15px;
}

ul.omf-legal-nav li {
    /*width: 100%;
    text-align: center;
    border-right: 1px solid var(--text-black);*/
}
ul.omf-legal-nav li a{
    white-space: nowrap;
}

ul.omf-legal-nav li:last-child {
    border-right: none;
}

/** MAIN NAV */
.omf-main-nav {
    height: calc(100% + 120px);
    width: 100%;
    padding: 14px 16px;
}

.omf-main-nav ul {
    text-align: center;
}

.omf-main-nav ul li {
    letter-spacing: 0.05em;
    display: inline-block;
    margin: 0px 10px;
    position: relative;
}

.omf-main-nav ul li a {
    padding: 12px 0 5px 10px;
    text-transform: uppercase;
    font-weight: 500;
    padding: 10px;
}

.on .omf-main-nav ul {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
}

ul.omf-sub-nav {
    max-height: 200px;
    overflow: auto;
}

.on .omf-main-nav ul li {
    margin: 0;
    width: 100%;
    line-height: 1.5em;
    letter-spacing: 0.025em;
    display: inline-block;
    position: relative;
}

.on .omf-main-nav ul li a {
    width: 100%;
    text-align: left;
    padding: 6px 0;
    text-transform: uppercase;
    font-weight: 500;
}


/** SUB NAV */

.omf-sub-nav {
    padding-left: 30px;
}

.omf-sub-nav li:last-child {
    border-bottom: none !important;
}


/** SOCIAL NAV */

.omf-social-nav-wrapper {
    display: none;
}

.on .omf-social-nav-wrapper {
    display: flex !important;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 24px 16px;
    border-bottom: none;
}

.omf-social-nav {
    justify-content: center;
}

.omf-social-nav li a {
    color: var(--text-black);
    margin-bottom: 0;
}

.omf-social-nav li:first-child i {
    margin-left: 0;
}

.omf-social-nav li i {
    border-radius: 50%;
    display: flex;
    height: 30px;
    width: 30px;
    font-size: 15px;
    align-items: center;
    justify-content: center;
    margin: auto 6px;
    border: 1px solid var(--text-black);
}

#header-wrapper.on {
    max-width: 80%;
    z-index: 10;
    background-color: var(--bg-light) !important;
    position: fixed;
    animation: slide 0.1s forwards;
    left: -1100px;
    z-index: 1000;
    top: 0;
    height: 100vh;
    padding: 0;
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    color: var(--text-black);
    z-index: 1111;
    border-radius: 0 14px 14px 0;
    overflow: hidden;
    box-shadow: none;
}

.on a, .on #logo a {
    color: var(--text-black);
}

.on .omf-topbar-wrapper {
    flex-direction: column;
    height: 100vh;
    position: relative;
}

.on .omf-topbar-wrapper {
    display: flex;
    padding: 20px 16px;
    align-items: flex-start;
}

.omf-topbar-wrapper.on p {
    line-height: 22px;
    color: var(--text-black);
}

.on #menu, .on #search {
    display: none;
}

.on #logo {
    position: relative;
    left: 0;
}

#pullout-close {
    display: none !important;
}

/*.on #pullout-close {
    display: flex !important;
    justify-content: flex-start;
    width: 30px;
    position: absolute;
    top: 25px;
    left: 20px;
    height: 30px;
    color: var(--text-black);
}*/

.on #pullout-close {
    display: flex !important;
    justify-content: center;
    align-items: center;
    width: 60px;
    color: var(--text-black);
}
.on .omf-hdr-right.omf-hdr-icons{display: none;}


.omf-pullout-hdr-overlay {
  position: fixed;
  background-color: #3a3939f0;
  color: #FFF;
  width: 100%;
  height: 100vh;
  top: 0;
  animation: slide 0.1s forwards;
  left: -1100px;
  z-index: 1000;
}

@keyframes slide {
  100% { left: 0; }
}


/** OMF USER WRAPPER - Used in the Flyout Menu */

.on .omf-pullout-user-wrapper {
    display: flex !important;
    width: 100%;
    align-items: center;
    padding: 0 16px;
    height: 90px;
    border-bottom: 1px solid #afafaf;
}

.profile-img-blk {
    height: 100%;
    width: 80px;
    overflow: hidden;
    display: flex !important;
    align-items: center;
}

.profile-img-blk img{
    width: 60px;
    height: 60px;
}

.pullout-user-dtls {
    flex: 1;
    height: 100%;
    display: flex !important;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 6px;
}

.on .agent-contact-info-wrapper {
    display: flex !important;
    align-items: center;
    width: 100%;
    padding: 12px 16px;
    border-bottom: 1px solid #afafaf;
}

.choose-contact-blk, .choosen-contact-name {
    display: flex;
    align-items: flex-start;
    gap: 6px;
    color: var(--primary-dark);
    font-size: 16px;
    line-height: 20px;
}

.choosen-contact-name i{
    font-size: 14px;
    position: relative;
    top: 2px;
}

.choose-contact-blk a{
    color: var(--primary-dark);
}

.change-contact-blk {
    display: flex;
    align-items: center;
    gap: 6px;
    cursor: pointer;
    text-decoration: underline;
    color: var(--text-black);
    font-style: italic;
}

.contact-info {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    color: var(--primary-dark);
    gap: 12px;
}

#agent-dtls a {
    text-decoration: underline;
}

.omf-pullout-user-wrapper ul {
    display: flex;
}

.omf-pullout-user-wrapper ul li {
    margin: 5px 10px;
    margin-left: 0;
    padding-bottom: 3px;
}

.omf-pullout-user-wrapper div {
    display: block;
}


/** OMF TOP BAR STYELS */

.omf-topbar-wrapper {
    display: flex;
    align-items: center;
    height: 56px;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1002;
    /*box-shadow: 1.25px 1.25px 4.5px 1px rgb(239 239 239);*/
    /*padding: 0px 16px;*/
    box-sizing: border-box;
    color: var(--text-black) !important;
    border-bottom: 1px solid #e8e8e8cc;
}

.omf-topbar-wrapper div.flex {
    align-items: center;
    display: flex;
    /*background-color: #fff;*/
    background-color: var(--primary-dark);
    color:var(--bg-light);
    overflow: hidden;
}

.on.omf-topbar-wrapper div.flex{
    background-color: var(--bg-light);
}

.omf-hdr-wrapper {
    width: 100%;
    height: inherit;
}

.on .omf-hdr-wrapper.flex {
    height: 70px;
    flex-direction: row-reverse;
    border-bottom: 1px solid #afafaf;
    padding-left: 16px;
}

.omf-hdr-icons {
    height: 100%;
    cursor: pointer;
    position: relative;
    z-index: 10;
    width: 60px;
    top: -1px;
    justify-content: center;
    left: 0;
    font-size: 1.2em;
    color: #fff;
    align-items: center;
}

#category-wrapper {
    overflow: hidden;
    overflow-x: auto;
    background-color: var(--bg-light);
    align-items: center;
    justify-content: flex-start;
    padding: 5px;
    /* column-gap: 20px; */
    /*padding: 15px 16px;*/
}

#category-wrapper-spacer, #category-wrapper {
    height: 60px;
    /*background: #efefef;*/
}

.omf-floating-cart {
    display: flex;
    align-items: center;
    width: 100%;
    background-color: var(--dark-grey);
    color: var(--bg-light);
    padding: 8px 10px;
    text-transform: uppercase;
    font-size: 1em;
    letter-spacing: 0.05em;
    box-sizing: border-box;
    position: fixed;
    bottom: 0;
    z-index: 100;
    justify-content: center;
}

.omf-floating-cart .omf-action-btn{
    padding: 10px !important;
}

/** OMF Radio Wrapper */

#omf-radio-wrapper {
    box-shadow: 1px 3px 5px 1px #dedede;
    margin: 20px;
    padding: 0px;
    line-height: 20px;
    border-radius: 5px;
}


.omf-radio-blk {
  margin-bottom: 15px;
  position: relative;
  border-bottom: 1px dotted #c1c1c1;
  padding: 15px;
  padding-left: 35px;
}

.omf-radio-blk input[type="radio"] { display: none; }

.omf-radio-blk label::before, .omf-radio-blk label::after {
    border-radius: 50%;
    display: inline-block;
    transition: .2s;
    background-color: var(--bg-light);
    content: '';
    position: absolute;
    top: 10px;
}

.omf-radio-blk label::before {
    border: 1px solid #d4d4d4;
    width: 20px;
    height: 20px;
    left: 15px;
    top: 15px;
}

.omf-radio-blk label::after {
    width: 12px;
    height: 12px;
    left: 21px;
    top: 21px;
}


/** HOMEPAGE OPENER STYLES */

#opener h1 {
    font-size: 1.45em;
}

#opener p {
    color: #7d7d7d;
}

#opener .omf-avatar {
    width: 85%;
}

#opener .omf-avatar-wrapper {
    width: 95px;
    padding: 0;
}

#opener .omf-tile {
    margin-bottom: 0;
}

.dtls-content h1 {
    color: var(--text-black);
}

#opener .omf-tile-nav i {
    font-size: 2.25em;
    color: var(--text-black);
}

/** HOMEPAGE HERO STYLES */
#hero p {
    font-style: italic;
    font-size: 1.2em;
}

#hero h1 {
    font-size: 1.30em;
    margin-top: 10px;
}

#hero {
    padding-bottom: 10px;
    padding-top:    0px;
    background-color: #f7f7f7;
    color: var(--text-black);
}

#empty-data {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 200px;
    font-style: italic;
    font-size: 1.1em;
    color: gray;
    row-gap: 5px;
}


/** ORDER PAGE STYLE */
#orders {
    justify-content: center; 
    padding: 20px 10px;
}

#orders {
    box-sizing: border-box;

    .omf-tile {
        flex-direction: column;
        border: 1px solid var(--border);
        background: #fff;
        padding: 0px !important;
        box-sizing: border-box;
        margin-bottom: 16px;
    }
    
    .omf-tile-nav {
        width: 100%;
        justify-content: space-between;
        border-top: .5px solid var(--border);
    }

    .primary-dtls {
        padding-bottom: 2px;
        padding: 12px 12px 0;
        width: 100%
    }

    .dtls-content {
        width: 100%;
    }

    .ord-customer-dtls {
        /*padding: 12px 12px 4px;*/
        margin-bottom: 4px;
    }

    .ord-date {
        font-weight: 500;
        color: #565656;
    }

    .ord-cid {
        width: 80px;
        /*height: 40px;*/
    }

    .ord-cid span {
        background: #eef2f6;
        padding: 4px 8px;
        border-radius: 50px;
        color: var(--text-black);
    }

    .ord-cname {
        color: var(--text-black);
        font-size: 16px;
        line-height: 20px;
        margin-right: 10px;
        font-weight: 500;
    }

    .secondary-dtls{
        padding: 0;
    }

    .doc-dtls {
        margin: 10px 10px;
        padding: 12px;
        background: #eef2f6;
        border-radius: 10px;
    }

    .ord-label {
        margin-bottom: 6px;
    }

    .ord-val {
        font-size: 16px;
        color: var(--text-black);
        font-weight: 500;
    }

    .ord-val.left {text-align: left;}
    .ord-val.right {text-align: right;}

    .item-list, .ord-notes {
        margin-bottom: 4px;
    }

    .ord-status {
        background-color: #e3e3e3;
        border-radius: 30px;
        padding: 8px 16px;
        color: var(--text-black)000;
        font-size: 14px;
        line-height: 12px;
        font-weight: 400;
    }

    .ord-status.cancelled { background-color: #d32f2f !important; color: #fff; }
    .ord-status.delivered { background-color: #2e7d32 !important; color: #fff; }



} 

#orders h1 {
    font-size: 1.25em;
    line-height: 24px;
    font-weight: 500;
}

#orders .fa { color: #655959; }

#orders p {
    color: #7d7d7d;
    line-height: 1.45em;
    line-height: 20px;
}

#orders .omf-tile-nav i {
    font-size: 20px;
}

#orders #list, #contact .omf-tile, #terms .omf-tile, #about .omf-tile, #returns .omf-tile, #forgot-password .omf-tile, #otp-verification .omf-tile {
    line-height: 1.55em;
    padding: 20px 30px;
    font-size: 1.25em;
    margin: 20px;
    width: 100%;
    box-shadow: 1px 3px 5px 1px #dedede;
    border: 1px solid #f5f5f5;
    border-radius: 8px;
    min-height: 360px;
}

#contact .omf-tile, #about .omf-tile{
    font-size: 14px !important;
}

#orders #list strong { font-weight: 600; }

.nodata-blk {
    width: 300px;
    height: 200px;
    text-align: center;
    font-size: 1.25em;
    font-style: italic;
    padding: 40px;
    color: #adacac;
}

#contact .omf-tile {
    width: 100% !important;
    padding: 25px 5px;
    min-height: fit-content;
    padding-bottom: 10px;
}

span.outlet {
    color: white;
    border-radius: 5px;
    padding: 5px 10px;
    display: inline-block;
    margin-bottom: 10px;
    margin-top: 10px;
}

#about .omf-tile, #returns .omf-tile, #terms .omf-tile, #privacy .omf-tile{
    padding: 10px;
    width: 100% !important;
    padding: 20px
}

.dtls-content.fieldset{
    position: absolute;
    top: 20px;
}
.order-qty { display: none; }


/* New styles  */
.on #logo .hdr-icon img{
    /*left: -7px;*/
    left: 0px;
    bottom: 7px;
}


.on #logo a {
    display: block !important;
}

.on #logo .page-title {
    display: none !important;
}

.on .omf-hdr-center{
    justify-content: flex-start;
}



p.page-title {
    margin: 0;
    font-size: 0.95em !important;
    line-height: normal;
    font-weight: 400;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


/** Responsive Styles */
@media (max-width: 880px) {
}

@media screen and (max-device-width: 1024px) and (orientation: landscape){/** TABLET LANDSCAPE */
}

@media screen and (max-device-width: 736px) and (orientation: landscape){/** LARGE PHONE LANDSCAPE */
}

@media screen and (max-device-width: 640px) and (orientation: landscape){/** SMALL PHONE LANDSCAPE */
}

@media screen and (min-device-width: 320px) and (orientation: portrait){/** SMALL PHONE PORTRAIT */
    h1 { font-size: 1.2em; margin: 2px 0; }
    .description { font-size: 1.1em; }
    .omf-tile {
        display: flex;
        border: none;
        border-bottom: 1px solid #e4e4e4;
        width: 100%;
    }

    .omf-tablet .omf-tile {}
}

@media screen and (min-device-width: 410px) and (orientation: portrait){/** LARGE PHONE PORTRAIT */
    .omf-tile { width: 100%; }
    #category-wrapper .omf-tile {
        /*width: auto;*/
    }
}

@media screen and (min-device-width: 600px) and (orientation: portrait){/** TABLET PORTRAIT */
    .omf-tile { width: 49%; }
    .omf-tablet .omf-tile { width: 8% !important; }
}
